# Interface File

#### Hierarchy

- Puttable
  - File

#### Implemented by

- BaseFile

- Defined in fs/types.ts:58

#####
Index

### Properties

content

### Methods

put
putDetailed
updateContent

## Properties

### content

content: Uint8Array

- Defined in fs/types.ts:59

## Methods

### put

- put(): Promise<CID<unknown, number, number, Version>>

- #### Returns Promise<CID<unknown, number, number, Version>>

  Inherited from Puttable.put

  - Defined in fs/types.ts:108

### putDetailed

- putDetailed(): Promise<PutResult>

- #### Returns Promise<PutResult>

  Inherited from Puttable.putDetailed

  - Defined in fs/types.ts:109

### updateContent

- updateContent(content: Uint8Array): Promise<File>

- #### Parameters

  - ##### content: Uint8Array

  #### Returns Promise<File>

  - Defined in fs/types.ts:60

Generated using TypeDoc